// Project Lab - NHTV Igad

#pragma once

#include "GameFramework/Actor.h"
#include "BossTargetBunny.generated.h"

UCLASS()
class UNREALPROJECT_API ABossTargetBunny : public AActor
{
	GENERATED_BODY()
	
public:
	ABossTargetBunny();

	virtual void BeginPlay() override;
	
	virtual void Tick( float DeltaSeconds ) override;


	UFUNCTION(BlueprintCallable, Category = "Bunny")
	void Setup(float lifeTime);

private:
	float m_lifeTime;
};
